curl --request PUT \
--url https://cloud.memsource.com/web/api2/v2/projects/{projectUid}/qaSettings \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"checks": "\n {\n \"ignorable\": false,\n \"enabled\": true,\n \"type\": \"VOID\",\n \"instant\": false,\n \"name\": \"emptyTarget\"\n },\n {\n \"ignorable\": false,\n \"enabled\": true,\n \"value\": 12,\n \"type\": \"NUMBER\",\n \"name\": \"targetLength\"\n },\n {\n \"ignorable\": false,\n \"enabled\": true,\n \"value\": \"ASAP, irony\",\n \"type\": \"STRING\",\n \"instant\": true,\n \"name\": \"forbiddenStrings\"\n },\n {\n \"enabled\": true,\n \"profile\": \"jiris\",\n \"ignorable\": true,\n \"type\": \"MORAVIA\",\n \"name\": \"moravia\"\n },\n {\n \"rules\": [\n {\n \"description\": \"Description\",\n \"sourceRegexp\": \".+\",\n \"targetRegexp\": \".+\",\n \"ignorable\": true\n },\n {\n \"description\": \"Description\",\n \"sourceRegexp\": \"i+\",\n \"targetRegexp\": \"e+\",\n \"ignorable\": false\n }\n ],\n \"type\": \"REGEX\",\n \"name\": \"regexp\"\n },\n {\n \"enabled\": true,\n \"ignorable\": true,\n \"type\": \"VOID\",\n \"name\": \"customQa\"\n }\n "
}
'import requests
url = "https://cloud.memsource.com/web/api2/v2/projects/{projectUid}/qaSettings"
payload = { "checks": "
{
\"ignorable\": false,
\"enabled\": true,
\"type\": \"VOID\",
\"instant\": false,
\"name\": \"emptyTarget\"
},
{
\"ignorable\": false,
\"enabled\": true,
\"value\": 12,
\"type\": \"NUMBER\",
\"name\": \"targetLength\"
},
{
\"ignorable\": false,
\"enabled\": true,
\"value\": \"ASAP, irony\",
\"type\": \"STRING\",
\"instant\": true,
\"name\": \"forbiddenStrings\"
},
{
\"enabled\": true,
\"profile\": \"jiris\",
\"ignorable\": true,
\"type\": \"MORAVIA\",
\"name\": \"moravia\"
},
{
\"rules\": [
{
\"description\": \"Description\",
\"sourceRegexp\": \".+\",
\"targetRegexp\": \".+\",
\"ignorable\": true
},
{
\"description\": \"Description\",
\"sourceRegexp\": \"i+\",
\"targetRegexp\": \"e+\",
\"ignorable\": false
}
],
\"type\": \"REGEX\",
\"name\": \"regexp\"
},
{
\"enabled\": true,
\"ignorable\": true,
\"type\": \"VOID\",
\"name\": \"customQa\"
}
" }
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
checks: '\n {\n "ignorable": false,\n "enabled": true,\n "type": "VOID",\n "instant": false,\n "name": "emptyTarget"\n },\n {\n "ignorable": false,\n "enabled": true,\n "value": 12,\n "type": "NUMBER",\n "name": "targetLength"\n },\n {\n "ignorable": false,\n "enabled": true,\n "value": "ASAP, irony",\n "type": "STRING",\n "instant": true,\n "name": "forbiddenStrings"\n },\n {\n "enabled": true,\n "profile": "jiris",\n "ignorable": true,\n "type": "MORAVIA",\n "name": "moravia"\n },\n {\n "rules": [\n {\n "description": "Description",\n "sourceRegexp": ".+",\n "targetRegexp": ".+",\n "ignorable": true\n },\n {\n "description": "Description",\n "sourceRegexp": "i+",\n "targetRegexp": "e+",\n "ignorable": false\n }\n ],\n "type": "REGEX",\n "name": "regexp"\n },\n {\n "enabled": true,\n "ignorable": true,\n "type": "VOID",\n "name": "customQa"\n }\n '
})
};
fetch('https://cloud.memsource.com/web/api2/v2/projects/{projectUid}/qaSettings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"checks": [
{}
]
}Edit quality assurance settings
Only checks listed in the request are updated; omitted checks keep their current settings.
Authorizations
Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.
Path Parameters
Project UID
Body
QA settings
List of QA check configurations. Each entry must include "name" (check identifier) and "type" (VOID, NUMBER, STRING, REGEX, or MORAVIA). VOID, NUMBER, and STRING checks accept "enabled", "ignorable", "instant", and "lock"; MORAVIA accepts "enabled", "ignorable", "instant", and a "profile" string; REGEX checks carry a "rules" array (per-rule fields define the regular expressions and flags). NUMBER checks require a numeric "value"; STRING checks accept a string "value". Only checks listed here are updated; omitted checks keep their current settings.
Show child attributes
Show child attributes
"\n {\n \"ignorable\": false,\n \"enabled\": true,\n \"type\": \"VOID\",\n \"instant\": false,\n \"name\": \"emptyTarget\"\n },\n {\n \"ignorable\": false,\n \"enabled\": true,\n \"value\": 12,\n \"type\": \"NUMBER\",\n \"name\": \"targetLength\"\n },\n {\n \"ignorable\": false,\n \"enabled\": true,\n \"value\": \"ASAP, irony\",\n \"type\": \"STRING\",\n \"instant\": true,\n \"name\": \"forbiddenStrings\"\n },\n {\n \"enabled\": true,\n \"profile\": \"jiris\",\n \"ignorable\": true,\n \"type\": \"MORAVIA\",\n \"name\": \"moravia\"\n },\n {\n \"rules\": [\n {\n \"description\": \"Description\",\n \"sourceRegexp\": \".+\",\n \"targetRegexp\": \".+\",\n \"ignorable\": true\n },\n {\n \"description\": \"Description\",\n \"sourceRegexp\": \"i+\",\n \"targetRegexp\": \"e+\",\n \"ignorable\": false\n }\n ],\n \"type\": \"REGEX\",\n \"name\": \"regexp\"\n },\n {\n \"enabled\": true,\n \"ignorable\": true,\n \"type\": \"VOID\",\n \"name\": \"customQa\"\n }\n "
Response
OK
List of QA check configurations
Show child attributes
Show child attributes
Was this page helpful?